Page MenuHomePhabricator

Conduct a first survey targeting volunteers who left after a few contributions
Closed, ResolvedPublic

Description

This task is part of a team goal committed for Developer-Advocacy (Oct-Dec 2017)

Event Timeline

Qgil created this task.Sep 22 2017, 2:05 PM
Qgil added a project: Goal.Oct 4 2017, 7:59 AM
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Oct-Dec 2017) board.

For the first survey, the results of which we would include in the next quarterly report as discussed, I am considering that we reach out to new developers who haven't contributed in the last six months. If this sounds reasonable then, we pick candidates from July-September of 2017 and check for any contributions by them in the following months.

@Aklapper @Qgil Does this sound like a good idea to you?

@srishakatux: https://wikimedia.biterg.io/app/kibana#/dashboard/C_Gerrit_Demo already offers "Authors with no activity during last 6 months" in Gerrit.
What do you need to contact them? Their email addresses?

Probably important to phrase the questions in a way to not get "Had no interest/time anymore" answers.
We need to express that we want to learn from those who left.

@Aklapper Yes, I would need their email addresses. So for the first survey, would it make sense to contact new developers from July-September of 2017 who are no longer active? I think six months is a reasonable timeframe to consider for the inactivity, but if you disagree, we can discuss :)

@srishakatux: If you wanted to contact devs who were active for the last time in Jul-Sep 2017, we'd have to wait for April 2018 to get that data.
I don't think we need to stick to calendar quarters here necessarily, if you want to balance your workload (next New Developers Quarterly report in April, contacting new developers survey, ...), and could do this, say, more in the middle of a calendar quarter. But entirely up to your planning. :)
Once you know which time frame you'd like to cover, please file a dedicated subtask assigned to me to gather that data for you from the DB.

You can see at the bottom of https://wikimedia.biterg.io/app/kibana#/dashboard/C_Gerrit_Demo up to which date our current data reaches (currently June 2017). (Context: Need to fix T151161 to get that data updated regularly and automatically.)

@Aklapper Alright then it makes the most sense to contact the new developers who were active for the last time in Apr-Jun 2017 (particularly for this task). Filing the task accordingly.

Also then for the quarterly report, right now for the survey part we are not sticking to the calendar quarters, and I think then it would make sense to do the same with metrics data. But, in this case, it would be double work for you, collecting data once for the community metrics and then for the report. What would you prefer here?

Aklapper added a comment.EditedJan 19 2018, 12:23 PM

@srishakatux: I do not see how it is relevant for the survey part whether to stick to calendar quarters or not.
If there is something to "directly compare" between survey results and metrics so they have to be the same three months, please tell me what it is.

New print to pdf feature for mobile web readers

@Qgil: Context, please? Or was that a copy&paste error?

srishakatux closed this task as Resolved.Mar 15 2018, 12:25 AM

Survey sent to 51 volunteer developers, the results of which will be included in T186517.

@srishakatux: This happened in March, hence adjusting workboard column.